config/routes.rb
Rails.application.routes.draw do
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  get '/formulario', to: 'contact#form', as: :my_form
  get '/destino', to: 'contact#final', as: :destiny
  post '/destino', to: 'contact#destiny', as: :post_destiny
  get '/fim/', to: 'contact#final', as: :final


end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/contact_controller.rb
class ContactController < ApplicationController

    def form

    end
    
    def destiny

       respond_to do |format|
            format.html { redirect_to final_path }    
       end
       
    end

    def final
        
    end




end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/views/contact/_myform.html.erb
<main>
<h2>Comece agora!</h2>

<div>
<%= form_with url: post_destiny_path, class:'my-form', remote: false do |f| %>
    <label for="name">Como devemos te chamar?</label>
    <%= f.text_field :name %>
    <label for="email">Qual seu email?</label>
    <%= f.email_field :email%>
    <label for="phone">Telefone</label>
    <%= f.text_field :phone %>
    <label for="message">Mensagem</label>
    <%= f.text_area :message %>
    <%= f.submit "Enviar", class: 'but-submit' %>
<% end %>
</div>
</main>

app/views/contact/final.html.erb
<h1>Obrigado!</h1>

app/views/contact/form.html.erb
<%= render 'myform'%>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Contact</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>